java.lang.NoClassDefFoundError

org/apache/commons/io/IOUtils

Samebug tips6

jsp-api and servlet-api jars must NOT be deployed by your web app. They should be marked as provided but not deployed by your app.

The server rejects all jars that already belong to the server runtime (such as tomcat-.jar, servlet.jar). Consider substituting the CORS filter you're using for this one: https://goo.gl/ctQ7Fs

Don't give up yet. Our experts can help. Paste your full stack trace to get a solution.

Solutions on the web19610

  • via JIRA by Andrew Dixon, 7 months ago
    org/apache/commons/io/IOUtils
  • via Google Groups by Mark Giffin, 6 months ago
    org/apache/commons/io/IOUtils
  • via Stack Overflow by user1557458
    , 1 year ago
    org/apache/commons/io/IOUtils
  • Stack trace

    • java.lang.NoClassDefFoundError: org/apache/commons/io/IOUtils at com.minelazz.epicworldgenerator.structures.EpicStructureManager.<clinit>(Unknown Source)[?:?] at com.minelazz.epicworldgenerator.u$0.<init>(Unknown Source)[?:?] at com.minelazz.epicworldgenerator.u.onLoad(Unknown Source)[?:?] at com.minelazz.epicworldgenerator.EpicWorldGenerator.onLoad(Unknown Source)[?:?] at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugins(CraftServer.java:374)[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95] at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:152)[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95] at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:458)[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95] at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628)[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95] Caused by: java.lang.ClassNotFoundException: org.apache.commons.io.IOUtils at java.net.URLClassLoader.findClass(URLClassLoader.java:381)[?:1.8.0_77] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101)[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86)[spigot.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95] at java.lang.ClassLoader.loadClass(ClassLoader.java:424)[?:1.8.0_77] at java.lang.ClassLoader.loadClass(ClassLoader.java:357)[?:1.8.0_77] ... 8 more

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    Unknown user
    Once, 3 months ago
    Unknown user
    Once, 9 months ago
    Unknown user
    Once, 1 year ago
    Unknown user
    Once, 1 year ago
    Unknown user
    Once, 1 year ago
    1538 more bugmates